Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.config.swing
Class AdvancedConfigEditor.AdvancedConfigureTreeModel

    java.lang.Object
      org.crosswire.common.config.swing.TreeConfigEditor.ConfigureTreeModel
          org.crosswire.common.config.swing.AdvancedConfigEditor.AdvancedConfigureTreeModel

All Implemented Interfaces:
  TreeModel

Enclosing class:
  AdvancedConfigEditor

    private class AdvancedConfigEditor.AdvancedConfigureTreeModel

extends TreeConfigEditor.ConfigureTreeModel

A custom data model for the TreeConfig Tree

Author:
  Joe Walker

Field Summary

Fields inherited from class org.crosswire.common.config.swing.TreeConfigEditor.ConfigureTreeModel
`listeners`

Constructor Summary
`private` | `AdvancedConfigEditor.AdvancedConfigureTreeModel()`

Method Summary
`Object` | `getChild(Object parent, int index)`
`int` | `getChildCount(Object parent)`
`protected List` | `getChildren(String path)` Get a Vector of the children rooted at path
`boolean` | `isLeaf(Object node)`

Methods inherited from class org.crosswire.common.config.swing.TreeConfigEditor.ConfigureTreeModel
`addTreeModelListener, fireTreeStructureChanged, fireTreeStructureChanged, getIndexOfChild, getRoot, removeTreeModelListener, valueForPathChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdvancedConfigEditor.AdvancedConfigureTreeModel

    private AdvancedConfigEditor.AdvancedConfigureTreeModel()

Method Detail

### getChildren

    protected List getChildren(String path)

  Description copied from class: `TreeConfigEditor.ConfigureTreeModel`
  Get a Vector of the children rooted at path

  Overrides:
    `getChildren` in class `TreeConfigEditor.ConfigureTreeModel`

### getChild

    public Object getChild(Object parent,
                           int index)

  Specified by:
    `getChild` in interface `TreeModel`
  Overrides:
    `getChild` in class `TreeConfigEditor.ConfigureTreeModel`

### getChildCount

    public int getChildCount(Object parent)

  Specified by:
    `getChildCount` in interface `TreeModel`
  Overrides:
    `getChildCount` in class `TreeConfigEditor.ConfigureTreeModel`

### isLeaf

    public boolean isLeaf(Object node)

  Specified by:
    `isLeaf` in interface `TreeModel`
  Overrides:
    `isLeaf` in class `TreeConfigEditor.ConfigureTreeModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD